Skip to main content
PUT
Update a destination database

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The Notion connection ID

databaseId
integer
required

The Notion database ID

Body

application/json
name
string | null

Display name for the database in Synci.

Maximum string length: 255
header_config
enum<string>[]

Ordered list of transaction field keys to write as database properties. New properties are added to the Notion database; existing properties are never removed.

Minimum array length: 1
Available options:
synci.account_id,
synci.account_name,
mapped.date,
mapped.payee,
mapped.description,
amount,
currency,
booked,
booking_date,
booking_datetime,
value_date,
value_datetime,
balance_after_transaction,
additional_information,
additional_information_structured,
additional_data_structured,
creditor.name,
creditor.iban,
creditor.bban,
creditor.id,
creditor.pan,
creditor.masked_pan,
creditor.msisdn,
creditor.currency,
creditor.agent,
debtor.name,
debtor.iban,
debtor.bban,
debtor.pan,
debtor.masked_pan,
debtor.msisdn,
debtor.currency,
debtor.agent,
ultimate_creditor,
ultimate_debtor,
remittance_information.unstructured,
remittance_information.structured,
remittance_information.unstructured_array,
remittance_information.structured_array,
codes.bank_transaction_code,
codes.merchant_category_code,
codes.proprietary_bank_transaction_code,
codes.purpose_code,
currency_exchange.source_currency,
currency_exchange.exchange_rate,
currency_exchange.unit_currency,
currency_exchange.target_currency,
currency_exchange.quotation_date,
currency_exchange.contract_identification,
external_identifiers.institution_transaction_id,
external_identifiers.integrator_transaction_id,
external_identifiers.end_to_end_id,
external_identifiers.entry_reference,
external_identifiers.check_id,
external_identifiers.mandate_id,
enriched.counterparty_name,
enriched.category_general,
enriched.is_subscription,
enriched.is_personal

Response

message
string
required
Allowed value: "Database updated."
data
NotionDatabaseResource · object
required